commit:     4f06e8aa41dab88de51c4fe5132a33ce6bc52305
Author:     Davide Pesavento <pesa <AT> gentoo <DOT> org>
AuthorDate: Wed Feb  5 05:52:09 2020 +0000
Commit:     Davide Pesavento <pesa <AT> gentoo <DOT> org>
CommitDate: Wed Feb  5 05:52:28 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4f06e8aa

dev-python/PyQt5-sip: add 4.19.21

Package-Manager: Portage-2.3.87, Repoman-2.3.20
Signed-off-by: Davide Pesavento <pesa <AT> gentoo.org>

 dev-python/PyQt5-sip/Manifest                 |  1 +
 dev-python/PyQt5-sip/PyQt5-sip-4.19.21.ebuild | 94 +++++++++++++++++++++++++++
 2 files changed, 95 insertions(+)

diff --git a/dev-python/PyQt5-sip/Manifest b/dev-python/PyQt5-sip/Manifest
index e59287ea890..cd6c6d15f3c 100644
--- a/dev-python/PyQt5-sip/Manifest
+++ b/dev-python/PyQt5-sip/Manifest
@@ -1,3 +1,4 @@
 DIST sip-4.19.17.tar.gz 1056156 BLAKE2B 
b5a7b4cd3f2152e9b7ee7b715c3ad72c2092598e0405cefc24d6283e9da07e54fd65da89e137618d3b84f3138fff719cf226600135d646e7bd7c538c2a02cdfd
 SHA512 
d393cfc1643663926bd315a8df92abd82bec071bf0488b047625bdac43e9074bc8a510ac23244a7a2d2d181f70af9691db9d0b759e79643981d6afd71a49d3cb
 DIST sip-4.19.19.tar.gz 1058422 BLAKE2B 
9c27e636a55699e8bf9c9caba9227e3ff9c8476dfd86d4bb8b0b53c9db95d28441d1ac03a0d20a71468d39e5f21066475018cff93b96281b3904f6a619304f92
 SHA512 
396c625f59ccef67c2e94221b26dd4ed5d536652a9b63a9f23b340ddf16adf34c6bdb0fbd7c0c1cc403e1d59e8ebf716b478a24bade66a2703fcc5f00b62533d
 DIST sip-4.19.20.tar.gz 1050009 BLAKE2B 
2ee7ecfbb2fa2c1a6a7ec57ab91113cd0c93fa5be4f5a05b8edb568e0d26e1d248a504e95cfd1485bdf156680e7e076c26f354e05bef45d7a37e9f79f7f0a0aa
 SHA512 
d5cd49f6fcae08306ac5f993710c40b82804d6b268cf3fa14077e73f34b02d551aa3caf57a985fe39b5acd61c465b00372d2ada722ced76e670dec14b5f8de44
+DIST sip-4.19.21.tar.gz 1050654 BLAKE2B 
2da54bd5d6b8a1653f74272634514817d3efde90d83a67a8e68a1a9d094d24c5199ab9b7deeb2c33a32dc3008778747a2f39e0047f6d6e034f440be36c457072
 SHA512 
441e1fe6b3eb6820638f9b4436e820da39b72dd70b402afa5237979ac671978c081d92e1e78920bb754bbc66b159bad08edb3bbb497b7e72dee6ff1d69cd1b60

diff --git a/dev-python/PyQt5-sip/PyQt5-sip-4.19.21.ebuild 
b/dev-python/PyQt5-sip/PyQt5-sip-4.19.21.ebuild
new file mode 100644
index 00000000000..a5b7820e1a9
--- /dev/null
+++ b/dev-python/PyQt5-sip/PyQt5-sip-4.19.21.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{6,7,8} )
+inherit python-r1 toolchain-funcs
+
+DESCRIPTION="Private sip module for PyQt5"
+HOMEPAGE="https://www.riverbankcomputing.com/software/sip/intro";
+
+MY_PN=sip
+MY_P=${MY_PN}-${PV/_pre/.dev}
+if [[ ${PV} == *_pre* ]]; then
+       SRC_URI="https://dev.gentoo.org/~pesa/distfiles/${MY_P}.tar.gz";
+else
+       
SRC_URI="https://www.riverbankcomputing.com/static/Downloads/${MY_PN}/${PV}/${MY_P}.tar.gz";
+fi
+
+# Sub-slot based on SIP_API_MAJOR_NR from siplib/sip.h
+SLOT="0/12"
+LICENSE="|| ( GPL-2 GPL-3 SIP )"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE=""
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="${PYTHON_DEPS}"
+RDEPEND="${DEPEND}
+       !<dev-python/PyQt5-5.12.2
+"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+       # Sub-slot sanity check
+       local sub_slot=${SLOT#*/}
+       local sip_api_major_nr=$(sed -nre 's:^#define 
SIP_API_MAJOR_NR\s+([0-9]+):\1:p' siplib/sip.h || die)
+       if [[ ${sub_slot} != ${sip_api_major_nr} ]]; then
+               eerror
+               eerror "Ebuild sub-slot (${sub_slot}) does not match 
SIP_API_MAJOR_NR (${sip_api_major_nr})"
+               eerror "Please update SLOT variable as follows:"
+               eerror "    SLOT=\"${SLOT%%/*}/${sip_api_major_nr}\""
+               eerror
+               die "sub-slot sanity check failed"
+       fi
+
+       default
+}
+
+src_configure() {
+       configuration() {
+               if ! python_is_python3; then
+                       local CFLAGS="${CFLAGS} -fno-strict-aliasing"
+               fi
+
+               local myconf=(
+                       "${PYTHON}"
+                       "${S}"/configure.py
+                       --sip-module PyQt5.sip
+                       --sysroot="${ESYSROOT}/usr"
+                       --no-tools
+                       AR="$(tc-getAR) cqs"
+                       CC="$(tc-getCC)"
+                       CFLAGS="${CFLAGS}"
+                       CFLAGS_RELEASE=
+                       CXX="$(tc-getCXX)"
+                       CXXFLAGS="${CXXFLAGS}"
+                       CXXFLAGS_RELEASE=
+                       LINK="$(tc-getCXX)"
+                       LINK_SHLIB="$(tc-getCXX)"
+                       LFLAGS="${LDFLAGS}"
+                       LFLAGS_RELEASE=
+                       RANLIB=
+                       STRIP=
+               )
+               echo "${myconf[@]}"
+               "${myconf[@]}" || die
+       }
+       python_foreach_impl run_in_build_dir configuration
+}
+
+src_compile() {
+       python_foreach_impl run_in_build_dir default
+}
+
+src_install() {
+       installation() {
+               emake DESTDIR="${D}" install
+       }
+       python_foreach_impl run_in_build_dir installation
+
+       einstalldocs
+}

Reply via email to